#include <tap.h>
#include "libFireBird.h"
#include "wrapradio.h"

TAP_ID( 0x8100fe77 );
TAP_PROGRAM_NAME("TestWrapRad");
TAP_AUTHOR_NAME("R2-D2");
TAP_DESCRIPTION("Test the WrapRadio wrapper for faking radio channels as TV");
TAP_ETCINFO(__DATE__);

dword TAP_EventHandler( word event, dword param1, dword param2 )
{
  return param1;
}

void ShowCh()
{
  int num[2], type;
  TAP_Channel_GetTotalNum(&num[0], &num[1]);
  for(type=0; type<2; type++)
  {
    int i, max=num[type];
    for(i=0; i<max; i++)
    {
      TYPE_TapChInfo chInfo;
      if(TAP_Channel_GetInfo(type, i, &chInfo))
      {
        TAP_Print("%3s %2d) %d %4x %4x %4x %s %s\n",
          type==0?"TV":"Rad", i, chInfo.satIdx, chInfo.orgNetId, chInfo.tsId, chInfo.svcId,
          chInfo.satName, chInfo.chName);
      }
    }
  }
  TAP_Print("%d TV, %d Radio\n\n", num[0], num[1]);
}

int TAP_Main(void)
{
  InitTAPAPIFix();
  ShowCh();
  WrapRadio();
  ShowCh();
  UnwrapRadio();
  ShowCh();
  return 0;
}
